Get AI usage
curl --request GET \
--url https://charts.basedash.com/api/public/organizations/{orgId}/ai-usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/ai-usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/ai-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalUsage": 123,
"billingPeriodStart": "2023-11-07T05:31:56Z",
"billingPeriodEnd": "2023-11-07T05:31:56Z",
"memberUsage": [
{
"userId": "<string>",
"memberId": "<string>",
"email": "<string>",
"usage": 123
}
]
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Organizations
Get AI usage
Gets total billable AI usage and member usage for the current billing period. Requires admin access to the organization.
GET
/
api
/
public
/
organizations
/
{orgId}
/
ai-usage
Get AI usage
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Path Parameters
Organization ID
Response
AI usage retrieved successfully
Total billable AI usage for the billing period in USD dollars
Billing period start timestamp
Billing period end timestamp
Billable AI usage grouped by organization member
Show child attributes
Show child attributes
Was this page helpful?
⌘I